ch.qos.logback.core.net.ssl

## Interface SSLComponent

All Known Implementing Classes:
  AbstractSSLSocketAppender, SSLServerSocketAppender, SSLServerSocketAppender, SSLServerSocketAppenderBase, SSLServerSocketReceiver, SSLSocketAppender, SSLSocketAppender, SSLSocketReceiver

    public interface SSLComponent

A interface used to identify components that have an SSL configuration.

Author:
  Carl Harris

### Method Summary

All Methods Instance Methods Abstract Methods
`SSLConfiguration` `getSsl()`
`void` `setSsl(SSLConfiguration ssl)`

### Method Detail

#### getSsl

    SSLConfiguration getSsl()

#### setSsl

    void setSsl(SSLConfiguration ssl)